> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Ask for feedbacks

> Generate professional feedback request messages for email or SMS.



## OpenAPI

````yaml POST /public/v1/ask-for-feedback
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /public/v1/ask-for-feedback:
    post:
      description: Generate professional feedback request messages for email or SMS.
      requestBody:
        description: Feedback request message
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AskForFeedbackRequest'
        required: true
      responses:
        '200':
          description: Feedback requested successfully!
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AskForFeedbackResponse'
              examples:
                validationError:
                  value:
                    status: 200
                    data: []
                    success: true
                    message: <string>
        '400':
          description: Validation error or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    status: 400
                    data: {}
                    success: false
                    message: <string>
      servers:
        - url: https://api.hobbo.ai
components:
  schemas:
    AskForFeedbackRequest:
      type: object
      required:
        - feedback_for
        - feedback_through
      properties:
        feedback_for:
          type: string
          description: The context or purpose for which feedback is being requested
        feedback_through:
          type: string
          description: The communication channel through which feedback will be requested
          enum:
            - email
            - sms
    AskForFeedbackResponse:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: array
          description: Array of generated feedback request templates
          items:
            type: string
            description: Feedback request template with numbered prefix
        success:
          type: boolean
          description: Indicates if the operation was successful
        message:
          type: string
          description: Response message
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````